import { Component } from 'react';
import { ItemProps as NextItemProps, TimelineProps as NextTimelineProps } from '@alifd/next/types/timeline';
interface TimelineAddProps {
    disabled?: boolean;
    contentLeft?: boolean | string;
}
interface TimelineProps extends NextTimelineProps {
}
interface ItemProps extends NextItemProps, TimelineAddProps {
}
declare class TimelineItem extends Component<ItemProps> {
    render(): JSX.Element;
}
declare class Timeline extends Component<TimelineProps & ItemProps> {
    static Item: typeof TimelineItem;
    render(): JSX.Element;
}
declare const _default: typeof Timeline;
export default _default;
